package com.commonsware.liveagreement

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel

class MainMotor : ViewModel() {
  companion object {
    val INITIAL_STATE = AgreementViewState(
      terms = false,
      privacy = false
    )
  }

  private val _states = MutableLiveData(INITIAL_STATE)
  val states: LiveData<AgreementViewState> = _states

  fun onTermsChange(terms: Boolean) {
    _states.value = _states.value?.copy(terms = terms)
  }

  fun onPrivacyChange(privacy: Boolean) {
    _states.value = _states.value?.copy(privacy = privacy)
  }
}